# norootforbuild

%define _prefix	/usr

Name:				nepim
Version:			0.53
Release:			2.1
Summary:			Network Pipemeter
Source:				http://download.savannah.nongnu.org/releases/nepim/nepim-%{version}.tar.gz
Patch0:				%{name}-gcc43.patch
Patch1:				%{name}-optflags.diff
Patch2:				%{name}-fix-pointer-arithmetics.patch
Patch3:				%{name}-asneeded.patch
URL:				http://www.nongnu.org/nepim/
Group:				Productivity/Networking/Other
License:			GNU General Public License version 2 (GPL v2)
BuildRoot:			%{_tmppath}/build-%{name}-%{version}
BuildRequires:			liboop-devel liboop make gcc glibc-devel

%description
nepim stands for network pipemeter, a tool for measuring available bandwidth
between hosts. nepim is also useful to generate network traffic for testing
purposes.

nepim operates in client/server mode, is able to handle multiple parallel
traffic streams, reports periodic partial statistics along the testing, and
supports IPv6.

%debug_package
%prep
%setup -q
%patch0
%patch1
%patch2
%patch3

%build
%__make \
	%{?jobs:-j%{jobs}} \
	OOP_BASE="%{_prefix}" \
	OOP_LIB="%{_libdir}" \
	OPTFLAGS="%{optflags}" \
	-C src

%install
%__install -D -m 0755 src/nepim "%{buildroot}%{_bindir}/nepim"

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS README
%{_bindir}/nepim

%changelog
* Wed Nov 18 2009 Carsten Schoene <cs@linux-administrator.com> - 0.53-2
- added patches 

* Sun Aug 02 2009 Carsten Schoene <cs@linux-administrator.com> - 0.53-1
- update to release 0.53

* Sun Jul 13 2008 Carsten Schoene <cs@linux-administrator.com>
- update to 0.50

* Sat Jul 05 2008 Carsten Schoene <cs@linux-administrator.com>
- update to 0.49

* Fri Oct 19 2007 Pascal Bleser <guru@unixtech.be> 
- update to 0.43

* Sat Aug 18 2007 Pascal Bleser <guru@unixtech.be>
- update to 0.40
- moved to build service

